"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../utils");

const {
  module: {
    mode
  },
  babelCustomizationForLibrary: {
    babelPlugins
  }
} = (0, _utils.getOptions)();
const isProd = mode.toLowerCase() === 'prod';
const defaultPlugins = [[require.resolve('babel-plugin-transform-define'), isProd ? {
  __DOCS__: false
} : {}], require.resolve('@babel/plugin-syntax-dynamic-import'), require.resolve('@babel/plugin-proposal-optional-chaining'), require.resolve('@babel/plugin-proposal-class-properties')];
const plugins = [...babelPlugins, ...defaultPlugins];

var _default = () => ({
  presets: [require.resolve('@babel/preset-env'), require.resolve('@babel/preset-react'), require.resolve('@babel/preset-typescript')],
  plugins: plugins
});

exports.default = _default;